program cLazCObj;


{$IFDEF FPC}
  {$MODE DELPHI}

  {$H+}            (* use AnsiString *)
  {$PACKENUM 4}    (* use 4-byte enums *)
  {$PACKRECORDS C} (* C/C++-compatible record packing *)
{$ELSE}
  {$MINENUMSIZE 4} (* use 4-byte enums *)
{$ENDIF}


uses
  {$IFDEF LINUX}
  cthreads,
  {$ENDIF}
  Sysutils, Classes;


{$IFDEF WIN64}
  {$Link ..\Lib\x86_64-win64\xLazCDef.o}

  {$Linklib ..\Lib\x86_64-win64\libmsvcrt.a}
  {$Linklib ..\lib\x86_64-win64\kernel32.a}
  {$Linklib ..\lib\x86_64-win64\libgcc.a}
{$ENDIF}


procedure xView(); cdecl; external;

function laz_fabs(x : double) : double; cdecl;
begin
  result := Abs(x);
end;


procedure xRun;
begin
  WriteLn('cLazCObj Demo');
  xView;
end;

begin
  xRun;
end.

